#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x97,0x74,0x9A,0x45,0xD9,0x51,0xF1,0x7F,0xD4,0x59,0x7E,0x43,
		0xA0,0x00,0xBF,0x9D,0x87,0x53,0xE9,0xE1,0x81,0x26,0xFF,0x59,
		0x7D,0x84,0xC6,0x34,0x83,0xF8,0x7F,0xFC,0x54,0xC0,0x3B,0x58,
		0x52,0x10,0xE6,0xBF,0x43,0xB0,0x90,0xA2,0x0E,0x1E,0x1D,0x07,
		0x97,0xBD,0x28,0x1C,0x55,0xDE,0xC2,0x78,0x6F,0xFE,0xF2,0xA3,
		0x37,0xFA,0x54,0xDB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
